Bug 984813 - Dist-geo-rep : First xsync crawl fails to remove file from slave which were removed in the master.
Dist-geo-rep : First xsync crawl fails to remove file from slave which were r...
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication (Show other bugs)
2.1
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Venky Shankar
Sudhir D
: Reopened
Depends On:
Blocks: 957769
  Show dependency treegraph
 
Reported: 2013-07-16 02:04 EDT by Vijaykumar Koppad
Modified: 2014-08-24 20:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: As the new geo-replication works in a distributed way, it is not possible to see the deletes Consequence: whenever geo-replication starts, it will miss the 'unlink' happened on master, thus not performing the delete on the slave side. Workaround (if any): None Result: This is an expected behavior with newer geo-replication.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-05 02:41:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2013-07-16 02:04:41 EDT
Description of problem: The files which were removed on the master  when geo-rep was stopped, won't be removed from the slave, when geo-rep was started. Which is, first xsync crawl fails to propagate deletes to slave. 


Version-Release number of selected component (if applicable):3.4.0.12rhs.beta4-1.el6rhs.x86_64


How reproducible: Happens everytime.


Steps to Reproduce:
1.Create and start a geo-rep relationship between master(DIST-REP) and slave. 
2.Create files using the command, ./crefi.py -n 10 --multi -b 10 -d 10 --random --max=500K --min=10 <MNT_PNT>
3.Let it sync to slave.
4. Stop the geo-rep session,
5. remove all the files from master.
6. start the geo-rep session. 
7.Check if it is deleted on the  slave. 


Actual results: Deletes won't be propagated to slave.


Expected results: Deletes should propagate to slave.


Additional info:
Comment 2 Venky Shankar 2013-07-21 02:31:07 EDT
The hybrid crawl cannot handle deletes, renames and harlinks. This is a known issue and is done this way as the gfid's are also in sync b/w master and slave.
Comment 3 Vijaykumar Koppad 2013-08-05 08:18:40 EDT
The resolution should be  CLOSED WONTFIX , it can't be CLOSED NOTABUG.
Comment 4 Amar Tumballi 2013-09-05 02:41:06 EDT
as per comment #3

Updated Doc Text too.

Note You need to log in before you can comment on or make changes to this bug.